﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            Class1 cl = new Class1();
            cl.Print();

            SetPrivate(cl, 6);
            cl.Print();
        }

        private static void SetPrivate(Class1 cl, int v)
        {
            Type type = cl.GetType();

            FieldInfo fi = type.GetField("i", System.Reflection.BindingFlags.NonPublic | System.Reflection.BindingFlags.Instance);
            if (fi == null)
            {
                return;
            }

            fi.SetValue(cl, v);
        }
    }
}
